Type to search.

Create conversation attachment

Base URL
https://{kibana_url}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Experimental This functionality is experimental and is not ready for production usage. Experimental features may change or be removed at any time. Elastic will work to fix any issues, but experimental features are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Create a new attachment for a conversation with version tracking.

Required privileges

Privileges agentBuilder:read

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

conversation_id string · max length: 256 required

The unique identifier of the conversation.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

data object required

The attachment data/content. Required unless origin is provided.

description string · max length: 2048

Human-readable description of the attachment.

hidden boolean

Whether the attachment should be hidden from the user.

id string · max length: 256

Optional custom ID for the attachment.

origin string · max length: 2048

Origin string (for example, saved object ID) for by-reference attachments. When provided without data, the content is resolved once at creation time.

render_inline boolean · default: false

When true, the attachment is rendered inline in the UI when the conversation is opened, without the agent referencing it.

type string · max length: 256 required

The type of the attachment (e.g., text, esql, visualization).

Response

200

Indicates a successful response

application/json